import { createApp } from 'vue'
import App from './App.vue'
import 'virtual:uno.css'
import 'element-plus/dist/index.css'
import 'element-plus/theme-chalk/dark/css-vars.css'
import './theme/vars.css'
import './style.less'
import { loadingFadeOut } from 'virtual:app-loading'

import 'normalize.css'
import router from './router'
import { setupStore } from './store'
import i18n from './locales'

// 关闭加载动画
loadingFadeOut()

const app = createApp(App)
setupStore(app)
app.use(router)
app.use(i18n)

app.mount('#app')
